<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>EventPerfLogSetVisible</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="EventPerfLogSetVisible"><H1>EventPerfLogSetVisible</H1></A>
This function determines whether an event is printed during <A HREF="../Profiling/PetscLogPrintSummary.html#PetscLogPrintSummary">PetscLogPrintSummary</A>() 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
PetscErrorCode EventPerfLogSetVisible(EventPerfLog eventLog, PetscEvent event, PetscTruth isVisible) 
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>eventLog  </B></TD><TD>- The EventPerfLog
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>event     </B></TD><TD>- The event to log
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>isVisible </B></TD><TD>- The visibility flag, <A HREF="../Sys/PETSC_TRUE.html#PETSC_TRUE">PETSC_TRUE</A> for printing, otherwise <A HREF="../Sys/PETSC_FALSE.html#PETSC_FALSE">PETSC_FALSE</A> (default is <A HREF="../Sys/PETSC_TRUE.html#PETSC_TRUE">PETSC_TRUE</A>)
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Database Options</FONT></H3>
<DT><B>-log_summary </B> -Activates log summary
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 log, visible, event
<BR>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Profiling/EventPerfLogGetVisible.html#EventPerfLogGetVisible">EventPerfLogGetVisible</A>(), <A HREF="../Profiling/EventRegLogRegister.html#EventRegLogRegister">EventRegLogRegister</A>(), StageLogGetEventLog()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/plog/eventLog.c.html#EventPerfLogSetVisible">src/sys/plog/eventLog.c</A>
<BR><A HREF="./index.html">Index of all Profiling routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
